Subject: Re: bug#10159: auto-complete causes crash in emacs HEAD

From: Christopher Monsanto <[email-masked]>
Date: Sat, 22 Sep 2012 09:13:59 -0400

So far so good. I'll ask the AC community to also test and get back to
you in a bit.

Christopher Monsanto
[email-masked]  --  http://monsan.to/

On Sat, Sep 22, 2012 at 8:40 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Christopher Monsanto <[email-masked]>
>> Date: Sat, 22 Sep 2012 08:19:11 -0400
>> Cc: [email-masked]
>>
>> Same here.
>>
>> (gdb) pp string
>> #("                                    " 0 36 (face popup-tip-face
>> keymap nil popup-item ""))
>
> That's good to know, thanks.
>
>> Thanks. Seems to me that this value is coming from xdisp.c,
>> display_line, var n_glyphs_before, derived from row->used[TEXT_AREA]
>> (line 19425).
>
> No, it comes from it->end_charpos, the length of the previous overlay
> string, because when the next overlay string is loaded, its length was
> not reflected in the value of it->end_charpos.  Should be fixed now in
> revision 110135 on the trunk.
>
>> (I wish I knew what a "struct it" is, not the most
>> descriptive name! :-))
>
> "it" stands for "iterator".  'struct it' is an object used by the
> display engine to iterate over buffers or strings to be displayed, one
> character at a time, with the purpose of generating the information
> required by the display back-end (X, TTY, etc.) to update the screen.
> See dispextern.h around line 1925, for more about that.
>
> Please test revision 110135 thoroughly with auto-complete, and if you
> find no problems, I will close this bug.